import { Initializer, InitializerOptions } from '../../viewer';
import { CursorTool } from './cursor-plugin';
export declare class CursorInitializer extends Initializer {
    private cursorToolOnLoad?;
    constructor(cursorToolOnLoad?: CursorTool | undefined);
    prepare(options: InitializerOptions): Promise<Partial<{
        [key: string]: any;
        id?: number | string;
        scroll?: import('../..').ScrollMode;
        spread?: import('../..').SpreadMode;
        rotation?: number;
        page?: number;
        scale?: number | string;
        scrollTop?: number;
        scrollLeft?: number;
    }>>;
    execute(options: InitializerOptions): void;
    finish(): void;
}
